Bench update: error in make_content

Hi,

I just installed ERPNext on MacOS 10.13.6 following the guidelines found in GitHub. Everything went find except when trying to update (bench update). It fails when “Syncing help database …”. The error occurs in apps/frappe/frappe/utils/help.py:
line 163, in sync_pages
content = self.make_content(content, fpath, relpath, app)
TypeError: make_content() takes exactly 6 arguments (5 given)

Regards.

Try doing a

bench update --reset

or

bench --site all migrate

Hi trentmu,

thanks for you response. However I got the same error with both “bench update --reset” and
“bench --site all migrate”.

Have you also cleared cache etc?

also try this

pip install -r requirements.txt

Hello,
pip install -r requirements.txt gave an error: requirements.txt file is missing
Could not open requirements file: [Errno 2] No such file or directory: ‘requirements.txt’

However, using find I got these files:
./apps/frappe/requirements.txt
./apps/foundation/requirements.txt
./apps/erpnext/requirements.txt
./apps/frappe_io/requirements.txt

So which requirements.txt is missing?

I have installed the requirements in ./apps/frappe/requirements.txt, but I still get the error:
pip install -r ./apps/frappe/requirements.txt
bench update --reset

Regards.

./apps/erpnext/requirements.txt

are probably the ones that have something missing

Hi,

I found that there are dependencies missing after executing pip install -r ./apps/erpnext/requirements.txt. One of them is test.fm. From what I’ve learned from their web site (http://grafos-ml.github.io/test.fm/get_testfm.html), gcc is required to install test.fm. And after investigation, gcc is no longer supported in Xcode 9, the version installed for my macOS (High Sierra). I’m looking for a workaround.

Regards.